using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Collections.Generic;

namespace PTMedicalInsurance.Entity.BaseLine.ElectronicSettlementCertificate
{
    class QueryEcSettlCertUploadResultIn:EntityBase
    {
        /// <summary>
        /// 定点医疗机构编号
        /// 备注：
        /// </summary>
        [Column(Name = "FixmedinsCode", Storage = null, DbType = "VarChar(30)")]
        [StringLength(30)]
        [DisplayName("定点医疗机构编号")]
        public string fixmedinsCode { get; set; }

        /// <summary>
        /// 定点医疗机构名称
        /// 备注：
        /// </summary>
        [Column(Name = "FixmedinsName", Storage = null, DbType = "VarChar(255)")]
        [StringLength(255)]
        [DisplayName("定点医疗机构名称")]
        public string fixmedinsName { get; set; }

        /// <summary>
        /// 业务区间
        /// 备注：电子结算凭证开具时间区间如20220520-20220525
        /// </summary>
        [Column(Name = "BizStsb", Storage = null, DbType = "VarChar(30)")]
        [StringLength(30)]
        [DisplayName("业务区间")]
        public string bizStsb { get; set; }

        /// <summary>
        /// 上传批次号
        /// 备注：上传日期年月日加5位顺序号如2022052500001
        /// </summary>
        [Column(Name = "UpldBchno", Storage = null, DbType = "VarChar(20)")]
        [StringLength(20)]
        [DisplayName("上传批次号")]
        public string upldBchno { get; set; }
    }

    class QueryEcSettlCertUploadResultOut : EntityBase
    {
        /// <summary>
        /// 电子结算凭证代码
        /// </summary>
        [Column(Name = "ElecSetlCertCode", Storage = null, DbType = "VarChar(50)")]
        [StringLength(50)]
        [DisplayName("电子结算凭证代码")]
        public string ElecSetlCertCode { get; set; }

        /// <summary>
        /// 电子结算凭证号码
        /// </summary>
        [Column(Name = "ElecSetlCertNo", Storage = null, DbType = "VarChar(50)")]
        [StringLength(50)]
        [DisplayName("电子结算凭证号码")]
        public string ElecSetlCertNo { get; set; }

        /// <summary>
        /// 电子结算凭证校验码
        /// </summary>
        [Column(Name = "ElecSetlCertChkcode", Storage = null, DbType = "VarChar(20)")]
        [StringLength(20)]
        [DisplayName("电子结算凭证校验码")]
        public string ElecSetlCertChkcode { get; set; }

        /// <summary>
        /// 电子结算凭证类型
        /// 备注：1财政电子票据、2税务电子发票、3税务数电票
        /// </summary>
        [Column(Name = "ElecSetlCertType", Storage = null, DbType = "VarChar(20)")]
        [StringLength(20)]
        [DisplayName("电子结算凭证类型")]
        public string ElecSetlCertType { get; set; }

        /// <summary>
        /// 凭证结算类型
        /// 备注：1实时结算、2全自费
        /// </summary>
        [Column(Name = "CertSetlType", Storage = null, DbType = "VarChar(3)")]
        [StringLength(3)]
        [DisplayName("凭证结算类型")]
        public string CertSetlType { get; set; }

        /// <summary>
        /// 版式文件保存结果
        /// 备注：0 处理中、1成功、2失败
        /// </summary>
        [Column(Name = "FtfileSavRslt", Storage = null, DbType = "VarChar(3)")]
        [StringLength(3)]
        [DisplayName("版式文件保存结果")]
        public string FtfileSavRslt { get; set; }

        /// <summary>
        /// 关联关系核验结果
        /// 备注：0 处理中、1成功、2失败
        /// </summary>
        [Column(Name = "ChkRslt", Storage = null, DbType = "VarChar(3)")]
        [StringLength(3)]
        [DisplayName("关联关系核验结果")]
        public string ChkRslt { get; set; }

        /// <summary>
        /// 保存失败原因
        /// </summary>
        [Column(Name = "SavFaleRea", Storage = null, DbType = "VarChar(200)")]
        [StringLength(200)]
        [DisplayName("保存失败原因")]
        public string SavFaleRea { get; set; }
    }
}
